<?


include 'config.php';


#------ файл start.php
// считываем текущее время
$start_time = microtime();
// разделяем секунды и миллисекунды (становятся значениями начальных ключей массива-списка)
$start_array = explode(" ",$start_time);
// это и есть стартовое время
$start_time = $start_array[1] + $start_array[0];

session_start();

function akt_rating($id,$at=1,$to=10)
{
////Функция зачисления рейтинга
$number = rand($at, $to);//генирируем случайное число
$number=$number/10000;
mysql_query("UPDATE `users` SET `act` = '".($u['act']+$number)."' WHERE `id` = '$u[id]' LIMIT 1");
//////////////////////////
}
// Попытка установить соединение с MySQL:
if (!mysql_connect($dbserver, $dbuser, $dbpassword)) {
echo "Ошибка подключения к серверу MySQL";
exit;
}
// Соединились, теперь выбираем базу данных:
mysql_select_db($db);
mysql_query("SET NAMES utf8");

if($_GET['out']==1){
session_destroy();
header('location: index.php');	
}

// Проверка авторизации -----------------------------------------------------------------------------
//Сессии
if (isset ($_SESSION['login']) && isset ($_SESSION['pass'])) {
    $login = $_SESSION['login'];
    $pass = $_SESSION['pass'];
} else { 
   //COOKIE
   if (isset ($_COOKIE['clogin']) && isset ($_COOKIE['cpass'])) {
   $login = $_COOKIE['clogin'];
   $_SESSION['login'] = $login;
   $pass = md5($_COOKIE['cpass']);
   $_SESSION['pass'] = $pass;
   }
}
if ($login && $pass) {
$login = check($login);
$req = mysql_query("SELECT * FROM `users` WHERE `login` = '$login' LIMIT 1");
   if (mysql_num_rows($req)) {
      $u = mysql_fetch_assoc($req);
      if ($pass === $u['pass']) {
		
      } else {
      // Если пароль не совпадает, уничтожаем переменные сессии и чистим куки
      unset ($_SESSION['login']);
      unset ($_SESSION['pass']);
      setcookie('clogin', '');
      setcookie('cpass', '');
      $login = false;
      $pass = false;
      }
   } else {
   // Если юзер не найден, уничтожаем переменные сессии и чистим куки
   unset ($_SESSION['login']);
   unset ($_SESSION['pass']);
   setcookie('clogin', '');
   setcookie('cpass', '');
   $login = false;
   $pass = false;
   }
}





//ФУНКЦИИ ********************************************

//Проверка на бан *****
function ban($id) {
$req = mysql_query("SELECT * FROM `users_ban` WHERE `user` = '".$id."' ORDER BY `time_ban` DESC LIMIT 1");
$res = mysql_fetch_assoc($req);
   if($res['time_ban'] > time()) return true;
}

//Обновление данных друзей *****
function refresh_friends($id) {
$result = mysql_query("SELECT * FROM `friends` WHERE `user` = '".$id."'");
   while ($friend = mysql_fetch_array($result)) {
   $fri = mysql_fetch_assoc(mysql_query("SELECT `rating`,`online` FROM `users` WHERE `id` = '".$friend["friend"]."'"));
   mysql_query("UPDATE `friends` SET `rating` = '".$fri['rating']."',`online` = '".$fri['online']."' WHERE `user` = '".$id."' and `friend` = '".$friend['friend']."'");
   }
}

//Вывод ошибки *****
function show_error($text) {
echo '<div class = "error">'.$text.'</div>';
}
//Вывод успешного выполнения *****
function show_ok($text) {
echo '<div class = "action">'.$text.'</div>';
}

//Аватара на странице 
function page_ava($id,$max) {
$req = mysql_query("SELECT * FROM `users_photo` WHERE `user`='".$id."' and `page` = '1' LIMIT 1");
   if (mysql_num_rows($req) != 0) {
   $p = mysql_fetch_assoc($req);
   $arhiv =  intval(($id/1000)+1);
   echo '<a href = "photo.php?act=view&id='.$p['id'].'"><img src= "base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg" width = "'.$max.'"></a>';
   } else {
   $sex = mysql_result(mysql_query("SELECT `sex` FROM `users` WHERE `id` = '".$id."'"),0);
   echo '<img src= "img/'.$sex.'.gif" width = "'.$max.'">';
   }
}

//Аватара 
function ava($id,$max) {
$req = mysql_query("SELECT * FROM `users_photo` WHERE `user`='".$id."' and `page` = '1' LIMIT 1");
   if (mysql_num_rows($req) != 0) {
   $p = mysql_fetch_assoc($req);
   $arhiv =  intval(($id/1000)+1);
   //Получаем информацию об изображении
   $info = getimagesize('base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg');
   //Получаем уменьшенный размер
   $w=$info[0]; 
   $h=$info[1];
   $delim=$w/$max;
   $w=$max;
   $h=$h*$delim;
   echo '<a href = "page.php?id='.$id.'"><img src= "base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg" width = "'.$w.' height = "'.$h.'"></a>';
   } else {
   $sex = mysql_result(mysql_query("SELECT `sex` FROM `users` WHERE `id` = '".$id."'"),0);
   echo '<a href = "page.php?id='.$id.'"><img src= "img/'.$sex.'.gif" width = "'.$max.'"></a>';
   }
}

//Аватара квадрат
function ava_k($id,$max) {
$req = mysql_query("SELECT * FROM `users_photo` WHERE `user`='".$id."' and `page` = '1' LIMIT 1");
   if (mysql_num_rows($req) != 0) {
   $p = mysql_fetch_assoc($req);
   $arhiv =  intval(($id/1000)+1);
   echo '<a href = "page.php?id='.$id.'"><img src= "base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg" height = "'.$max.'" width = "'.$max.'"></a>';
   } else {
   $sex = mysql_result(mysql_query("SELECT `sex` FROM `users` WHERE `id` = '".$id."'"),0);
   echo '<a href = "page.php?id='.$id.'"><img src= "img/'.$sex.'.gif" width = "'.$max.'" height = "'.$max.'" ></a>';
   }
}

//Аватара просто картинка
function ava_i($id,$max) {
$req = mysql_query("SELECT * FROM `users_photo` WHERE `user`='".$id."' and `page` = '1' LIMIT 1");
   if (mysql_num_rows($req) != 0) {
   $p = mysql_fetch_assoc($req);
   $arhiv =  intval(($id/1000)+1);
   //Получаем информацию об изображении
   $info = getimagesize('base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg');
   //Получаем уменьшенный размер
   $w=$info[0]; 
   $h=$info[1];
   $delim=$w/$max;
   $w=$max;
   $h=$h*$delim;
   echo '<img src= "base/'.$arhiv.'/'.$id.'/photo_small/'.$p['id'].'.jpg" width = "'.$w.' height = "'.$h.'">';
   } else {
   $sex = mysql_result(mysql_query("SELECT `sex` FROM `users` WHERE `id` = '".$id."'"),0);
   echo '<img src= "img/'.$sex.'.gif" width = "'.$max.'">';
   }
}



//Смайлы (новая)
function smile($msg){
$result = mysql_query("SELECT id, code FROM `smiles` ORDER BY `id` DESC");
while($smiles = mysql_fetch_assoc($result)){
$msg = str_replace($smiles["code"], '<img src = "../smiles/'.$smiles["id"].'.gif">',$msg);
}
return $msg;   
}

//Онлайн индикатор (новая)
function onl($online,$time) {
if($online > (time()-$time)) {
   $online = '<img src = "img/on.gif">';
   } else {
   $online = '<img src = "img/off.gif">';
   }
return $online;
}


function ico($sex,$admin){
if($admin == 1) {
   if($sex == 'm') $icon = '<img src = "img/admin_men.gif">'; else $icon = '<img src = "img/admin_woman.gif">';
} else {
   if($admin > 1) {
      if($sex == 'm') $icon = '<img src = "img/moder_men.gif">'; else $icon = '<img src = "img/moder_woman.gif">';
   } else {
      if($sex == 'm') $icon = '<img src = "img/men.gif">'; else $icon = '<img src = "img/woman.gif">';
   }
}
return $icon;
}

//Онлайн индикатор
function online($online) {
if($online > (time()-1800)) {
   $online = '<img src = "img/on.gif">';
   } else {
   $online = '<img src = "img/off.gif">'; 
}

return $online;
}




function delete($dir) {
    if ($objs = glob($dir."/*")) {
       foreach($objs as $obj) {
         is_dir($obj) ? delete($obj) : unlink($obj);
       }
    }
    rmdir($dir);
  }

function navigation($page, $total, $link) {
// Проверяем нужны ли стрелки назад 
if ($page != 1) $pervpage = '<a href= "'.$link.'page=1"><<</a> 
                               <a href= "'.$link.'page='. ($page - 1) .'"><</a> '; 
// Проверяем нужны ли стрелки вперед 
if ($page != $total) $nextpage = ' <a href= "'.$link.'page='. ($page + 1) .'">></a> 
                                   <a href= '.$link.'page=' .$total. '>>></a>'; 

// Находим две ближайшие станицы с обоих краев, если они есть 
if($page - 2 > 0) $page2left = ' <a href= "'.$link.'page='. ($page - 2) .'">'. ($page - 2) .'</a> | '; 
if($page - 1 > 0) $page1left = '<a href= "'.$link.'page='. ($page - 1) .'">'. ($page - 1) .'</a> | '; 
if($page + 2 <= $total) $page2right = ' | <a href= "'.$link.'page='. ($page + 2) .'">'. ($page + 2) .'</a>'; 
if($page + 1 <= $total) $page1right = ' | <a href= "'.$link.'page='. ($page + 1) .'">'. ($page + 1) .'</a>'; 

// Вывод меню 
echo '<div class = "navigation">Страницы: <br/>';
echo $pervpage.$page2left.$page1left.'<b>'.$page.'</b>'.$page1right.$page2right.$nextpage;
echo '</div>';
}

//Смайлы
function smiles($msg){
$result = mysql_query("SELECT id, code FROM `smiles` ORDER BY `id` DESC");
while($smiles = mysql_fetch_assoc($result)){
$msg = str_replace($smiles["code"], '<img src = "../smiles/'.$smiles["id"].'.gif">',$msg);
}
echo $msg;   
}

function bb($msg){

//bb коды
$msg = preg_replace("#\[b\](.*)\[\/b\]#isU", '<b>\\1</b>', $msg);
$msg = preg_replace("#\[i\](.*)\[\/i\]#isU", '<i>\\1</i>', $msg);
$msg = preg_replace("#\[u\](.*)\[\/u\]#isU", '<u>\\1</u>', $msg);
$msg = preg_replace("#\[s\](.*)\[\/s\]#isU", '<s>\\1</s>', $msg);
//$msg = preg_replace("/\[url=([^\]]+?)\](.+?)\[\/url\]/uis", "<a href=\"$1\" rel=\"nofollow\">$2</a>",  $msg);
$msg = preg_replace("/\[color=([^\]]+?)\](.+?)\[\/color\]/uis", "<font color=\"$1\">$2</font>",  $msg);
//$msg = str_replace('[br]', '<br>', $msg);
echo $msg;   
}

//Определяем логин
function login($id){
   $id = abs(intval($id));
   $login = mysql_result(mysql_query("SELECT `login` FROM `users` WHERE `id` = '$id'"), 0);
   return $login;
}

function vremya($time=NULL)
{
global $users;
if ($time==NULL)$time=time();
if (isset($users))$time=$time+$users['set_timesdvig']*60*60;
$timep="".date("j M в H:i", $time)."";
$time_p[0]=date("j n", $time);
$time_p[1]=date("H:i", $time);

if ($time_p[0]==date("j n"))$timep=date("H:i", $time);

if (isset($user))
{
if ($time_p[0]==date("j n", time()+$users['set_timesdvig']*60*60))$timep=date("H:i", $time);
if ($time_p[0]==date("j n", time()-60*60*(24-$users['set_timesdvig'])))$timep="Вчера в $time_p[1]";
}
else
{
if ($time_p[0]==date("j n"))$timep=date("H:i", $time);

if ($time_p[0]==date("j n", time()-60*60*24))$timep="Вчера в $time_p[1]";
}



$timep=str_replace("Jan","Янв",$timep);
$timep=str_replace("Feb","Фев",$timep);
$timep=str_replace("Mar","Марта",$timep);
$timep=str_replace("May","Мая",$timep);
$timep=str_replace("Apr","Апр",$timep);
$timep=str_replace("Jun","Июня",$timep);
$timep=str_replace("Jul","Июля",$timep);
$timep=str_replace("Aug","Авг",$timep);
$timep=str_replace("Sep","Сент",$timep);
$timep=str_replace("Oct","Окт",$timep);
$timep=str_replace("Nov","Ноября",$timep);
$timep=str_replace("Dec","Дек",$timep);
return $timep;
}

function vremya_ban($time=NULL)
{
global $users;
if ($time==NULL)$time=time();
if (isset($user))$time=$time+$users['set_timesdvig']*60*60;
$timep="".date("j M  H:i", $time)."";
$time_p[0]=date("j n", $time);
$time_p[1]=date("H:i", $time);

if ($time_p[0]==date("j n"))$timep=date("H:i", $time);

if (isset($user))
{
if ($time_p[0]==date("j n", time()+$users['set_timesdvig']*60*60))$timep=date("H:i", $time);
if ($time_p[0]==date("j n", time()-60*60*(24-$users['set_timesdvig'])))$timep="Вчера в $time_p[1]";
}
else
{
if ($time_p[0]==date("j n"))$timep=date("H:i", $time);

if ($time_p[0]==date("j n", time()-60*60*24))$timep="Вчера в $time_p[1]";
}



$timep=str_replace("Jan","Янв",$timep);
$timep=str_replace("Feb","Фев",$timep);
$timep=str_replace("Mar","Марта",$timep);
$timep=str_replace("May","Мая",$timep);
$timep=str_replace("Apr","Апр",$timep);
$timep=str_replace("Jun","Июня",$timep);
$timep=str_replace("Jul","Июля",$timep);
$timep=str_replace("Aug","Авг",$timep);
$timep=str_replace("Sep","Сент",$timep);
$timep=str_replace("Oct","Окт",$timep);
$timep=str_replace("Nov","Ноября",$timep);
$timep=str_replace("Dec","Дек",$timep);
return $timep;
}
//Фильтрация цифр
function num($num){
   $num = abs(intval($num));
   return $num;
}

function check($str) {
    //$str = htmlentities(trim($str), ENT_QUOTES, 'UTF-8');
	$str = trim($str);
    //$str = nl2br($str);
    $str = strtr($str, array (
        chr(0)=> '',
        chr(1)=> '',
        chr(2)=> '',
        chr(3)=> '',
        chr(4)=> '',
        chr(5)=> '',
        chr(6)=> '',
        chr(7)=> '',
        chr(8)=> '',
        chr(9)=> '',
        chr(10)=> '',
        chr(11)=> '',
        chr(12)=> '',
        chr(13)=> '',
        chr(14)=> '',
        chr(15)=> '',
        chr(16)=> '',
        chr(17)=> '',
        chr(18)=> '',
        chr(19)=> '',
        chr(20)=> '',
        chr(21)=> '',
        chr(22)=> '',
        chr(23)=> '',
        chr(24)=> '',
        chr(25)=> '',
        chr(26)=> '',
        chr(27)=> '',
        chr(28)=> '',
        chr(29)=> '',
        chr(30)=> '',
        chr(31)=> ''
    ));
    //$str = str_replace("\'", "&#39;", $str);
    //$str = str_replace('\\', "&#92;", $str);
    //$str = str_replace("|", "I", $str);
    //$str = str_replace("||", "I", $str);
    //$str = str_replace("/\\\$/", "&#36;", $str);
    $str = mysql_real_escape_string($str);
    return $str;
}
function checkout($str) {
    $str = stripcslashes(htmlentities($str, ENT_QUOTES, 'UTF-8'));
    $str = strtr($str, array (
        chr(0)=> '',
        chr(1)=> '',
        chr(2)=> '',
        chr(3)=> '',
        chr(4)=> '',
        chr(5)=> '',
        chr(6)=> '',
        chr(7)=> '',
        chr(8)=> '',
        chr(9)=> '',
        chr(10)=> '',
        chr(11)=> '',
        chr(12)=> '',
        chr(13)=> '',
        chr(14)=> '',
        chr(15)=> '',
        chr(16)=> '',
        chr(17)=> '',
        chr(18)=> '',
        chr(19)=> '',
        chr(20)=> '',
        chr(21)=> '',
        chr(22)=> '',
        chr(23)=> '',
        chr(24)=> '',
        chr(25)=> '',
        chr(26)=> '',
        chr(27)=> '',
        chr(28)=> '',
        chr(29)=> '',
        chr(30)=> '',
        chr(31)=> ''
    ));
    return $str;
}

function strtolower_utf8($string){ 
  $convert_to = array( 
    "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", 
    "v", "w", "x", "y", "z", "à", "á", "â", "ã", "ä", "å", "æ", "ç", "è", "é", "ê", "ë", "ì", "í", "î", "ï", 
    "ð", "ñ", "ò", "ó", "ô", "õ", "ö", "ø", "ù", "ú", "û", "ü", "ý", "а", "б", "в", "г", "д", "е", "ё", "ж", 
    "з", "и", "й", "к", "л", "м", "н", "о", "п", "р", "с", "т", "у", "ф", "х", "ц", "ч", "ш", "щ", "ъ", "ы", 
    "ь", "э", "ю", "я" 
  ); 
  $convert_from = array( 
    "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", 
    "V", "W", "X", "Y", "Z", "À", "Á", "Â", "Ã", "Ä", "Å", "Æ", "Ç", "È", "É", "Ê", "Ë", "Ì", "Í", "Î", "Ï", 
    "Ð", "Ñ", "Ò", "Ó", "Ô", "Õ", "Ö", "Ø", "Ù", "Ú", "Û", "Ü", "Ý", "А", "Б", "В", "Г", "Д", "Е", "Ё", "Ж", 
    "З", "И", "Й", "К", "Л", "М", "Н", "О", "П", "Р", "С", "Т", "У", "Ф", "Х", "Ц", "Ч", "Ш", "Щ", "Ъ", "Ъ", 
    "Ь", "Э", "Ю", "Я" 
  ); 

  return str_replace($convert_from, $convert_to, $string); 
}



// функция обрабатывает текстовые строки перед выводом в браузер
// настоятельно не рекомундуется тут что-либо менять
function output_text($str,$br=true,$html=true,$smiles=true,$links=true,$bbcode=true)
{
$spam=mysql_fetch_assoc(mysql_query("SELECT * FROM `clubwm`"));

$str=str_replace($spam['text'],$spam['sait'],$str);
if ($html==true)
$str=htmlentities($str, ENT_QUOTES, 'UTF-8'); // преобразуем все к нормальному перевариванию браузером

if ($links==true)
$str=links($str); // обработка ссылок

if ($bbcode==true)
{
$tmp_str=$str;
$str=bbcode($str); // обработка bbcode
}

if ($smiles==true && $tmp_str==$str)
$str=smiles($str); // вставка смайлов

if ($br==true){
$str=br($str); // переносы строк
$str=esc($str); // вырезаем все нечитаемые символы, которые могут нам подпортить разметку :)
}
else
{
//$str=br($str, ' '); // пробелы вместо переносов
$str=esc($str); // вырезаем все нечитаемые символы, которые могут нам подпортить разметку :)
}
return $str; // возвращаем обработанную строку
}
?>